#
# spec file for package ori
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


# See also http://en.opensuse.org/openSUSE:Specfile_guidelines

Name:           ori
Version:        0.8.1
Release:        1%{?dist}.4
Summary:        Distributed file system built for offline operation
License:        GPLv2
Group:          System Environment/Base
Url:            http://ori.scs.stanford.edu/
Source0:        https://bitbucket.org/orifs/ori/downloads/%{name}-%{version}.tar.xz
BuildRequires:  scons
BuildRequires:  pkgconfig
BuildRequires:  gcc-c++
BuildRequires:  openssl-devel
BuildRequires:  boost-devel
BuildRequires:  libevent-devel
BuildRequires:  libxml2-devel
BuildRequires:  libuuid-devel
BuildRequires:  fuse-devel

%description
Ori is a distributed file system built for offline operation
and empowers the user with control over synchronization operations
and conflict resolution.
We provide history through light weight snapshots and allow users
to verify the history has not been tampered with.
Through the use of replication instances can be resilient
and recover damaged data from other nodes.

%prep
%setup -q

%build
scons

%install
scons PREFIX=%{buildroot}%{_prefix} install

%files
%defattr(-,root,root)
%doc AUTHORS LICENSE README 
%{_bindir}/ori
%{_bindir}/oridbg
%{_bindir}/orifs
%{_bindir}/orisync
%{_mandir}/man1/*

%changelog
* Sun Jul 20 2014 Oleg Girko <ol@infoserver.lv> - 0.8.1
- Port to Fedora 20
* Wed Jan  8 2014 stoppe@gmx.de - 0.8.1
- Initial release
